Bug 141770 - Cancel/Ok buttons don't work in Modify DDE Link dialog (gen)
Summary: Cancel/Ok buttons don't work in Modify DDE Link dialog (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-04-20 09:01 UTC by Xisco Faulí
Modified: 2021-04-21 08:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-20 09:01:08 UTC
This is a follow-up of bug 141244

To reproduce this:
- type this in a cell: =DDE("soffice";"data1.ods";"sheet1.A1")
- select cell then Edit/Link to External Files...
- click "Modify..." button
- Click Ok or Cancel

-> Nothing happens

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 93bb5fcba9e58eeeaaed9521c3bb4eecf9b91ac1
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

not reproducible with GTK3
Comment 1 Xisco Faulí 2021-04-20 09:02:32 UTC
Bibisected to the following commit using repo bibisect-linux-64-7.1.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=de01c0c1d0f80ffec3882625d77c02ab806f6c7a
author		Olivier Hallot <olivier.hallot@libreoffice.org>	2020-08-22 12:36:14 -0300
committer	Caolán McNamara <caolanm@redhat.com>	2020-08-24 20:48:21 +0200

"tdf#118148 Extended tips from HC2/shared/"
Comment 2 Xisco Faulí 2021-04-20 09:25:43 UTC
Hi Caolán, Aron,
I thought you might be interested in this issue
Comment 3 Julien Nabet 2021-04-20 09:27:17 UTC
Just this patch:
diff --git a/sfx2/uiconfig/ui/linkeditdialog.ui b/sfx2/uiconfig/ui/linkeditdialog.ui
index d39c829052e4..8d74dd0f1455 100644
--- a/sfx2/uiconfig/ui/linkeditdialog.ui
+++ b/sfx2/uiconfig/ui/linkeditdialog.ui
@@ -10,11 +10,6 @@
     <property name="default_width">0</property>
     <property name="default_height">0</property>
     <property name="type_hint">dialog</property>
-    <child internal-child="accessible">
-      <object class="AtkObject" id="LinkEditDialog-atkobject">
-        <property name="AtkObject::accessible-description" translatable="yes" context="linkeditdialog|extended_tip|LinkEditDialog"/>
-      </object>
-    </child>
     <child>
       <placeholder/>
     </child>

makes it work again. Now I'm trying to understand why.
Comment 4 Julien Nabet 2021-04-20 09:32:32 UTC
I made other tests, it seems it doesn't like autoclose "property" tag.
If I put "<property...>test</property>", it works.
Comment 5 Caolán McNamara 2021-04-20 09:43:51 UTC
seeing as its actually empty its not doing anything so lets remove it
Comment 6 Commit Notification 2021-04-20 11:13:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bff2b8bf2b0ae47f6e59639db0544212398363ac

Resolves: tdf#141770 remove empty tag

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2021-04-20 11:16:23 UTC
done in main, backport to 7-1 in gerrit
Comment 8 Commit Notification 2021-04-20 14:20:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0fe2fe972a18ce986e38f5e7f8f3de402179b36c

Resolves: tdf#141770 remove empty tag

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2021-04-20 19:08:18 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/90cbc6c892a6b26a0fe950800d4fba0b7a0de68f

tdf#141244, tdf#141770: sc: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-04-20 19:38:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-3":

https://git.libreoffice.org/core/commit/7c20034e5196c71b7dcd24798d6410b75306bc86

Resolves: tdf#141770 remove empty tag

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2021-04-21 08:18:04 UTC
Setting to VERIFIED

@Caolán, thanks for fixing this issue!!